List competitors
curl --request GET \
--url https://api.beeze.io/v1/ai-search/competitors \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/ai-search/competitors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/ai-search/competitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"isSuggested": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"competitorName": "<string>",
"displayName": "<string>",
"competitorDomain": "<string>",
"project": "<string>",
"mentionCount": 123,
"color": "<string>"
}
]
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}AI Search
List competitors
GET
/
ai-search
/
competitors
List competitors
Authorizations
API key for external Beeze API access
Query Parameters
Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.
Minimum string length:
1Response
Competitor list
Show child attributes
Show child attributes
⌘I